screenshot
Prev | DocBook Element Reference | Next

This is an alpha version of this book.

# screenshot

screenshot — A representation of what the user sees or might see on a computer screen

## Synopsis

### Content Model

    screenshot ::=
    (screeninfo?,
     (graphic|graphicco|mediaobject|mediaobjectco))

### Attributes

Common attributes

## Description

A `ScreenShot` is a graphical environment for displaying an image of what the user might see on a computer screen. It is often used to display application screen shots, dialog boxes, and other components of a graphical user interface.

### Processing expectations

Formatted as a displayed block.

### Parents

These elements contain screenshot: `answer`, `appendix`, `article`, `bibliodiv`, `bibliography`, `blockquote`, `callout`, `caption`, `caution`, `chapter`, `colophon`, `constraintdef`, `dedication`, `entry`, `example`, `figure`, `footnote`, `glossary`, `glossdef`, `glossdiv`, `important`, `index`, `indexdiv`, `informalexample`, `informalfigure`, `itemizedlist`, `legalnotice`, `listitem`, `msgexplan`, `msgtext`, `note`, `orderedlist`, `para`, `partintro`, `preface`, `procedure`, `qandadiv`, `qandaset`, `question`, `refsect1`, `refsect2`, `refsect3`, `refsection`, `refsynopsisdiv`, `revdescription`, `sect1`, `sect2`, `sect3`, `sect4`, `sect5`, `section`, `setindex`, `sidebar`, `simplesect`, `step`, `textobject`, `tip`, `variablelist`, `warning`.

### Children

The following elements occur in screenshot: `graphic`, `graphicco`, `mediaobject`, `mediaobjectco`, `screeninfo`.

## See Also

`computeroutput`, `lineannotation`, `literallayout`, `programlisting`, `screen`, `synopsis`, `userinput`.

## Examples

    <!DOCTYPE screenshot PUBLIC "-//OASIS//DTD DocBook XML V4.1.2//EN"
              "http://www.oasis-open.org/docbook/xml/4.1.2/docbookx.dtd">

    <screenshot>
    <screeninfo>640x480x256</screeninfo>
    <graphic fileref="copilot.gif"></graphic>
    </screenshot>

Prev | Home | Next
screeninfo | Up | secondary

Copyright© 1999, 2000, 2001 O'Reilly & Associates, Inc. All rights reserved.